package POM_Assigment.PageObjects;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;

public class RegisterPage {


    WebDriver obj;

    //---------------------------------------------> defining Elements with locators.
    private By firstnameFeild = By.id("firstName");
    private By lastNameField= By.id("lastName");
    private By email = By.id("userEmail");
    private By phoneNo= By.id("userMobile");

    private By dropDown= By.className("form-group col-md-6");

    private By occupationDoctor= By.xpath("//option[text()='Doctor']");

    private By occupationEngineer= By.xpath("//option[text()='Engineer']");

    private By occupationStudent= By.xpath("//option[text()='Student']");

    private By occupationScientist= By.xpath("//option[text()='Scientist']");

    private By genderMale = By.xpath("//input[@value='Male']");
    private By genderFemale= By.xpath("//input[@value='Female']");
    private By passwordField= By.id("userPassword");
    private By confirmPasswordField = By.id("confirmPassword");
    private By checkBoxButton = By.xpath("//input[@type='checkbox']");
    private By loginButton = By.id("login");

    private By successMessage = By.cssSelector(".headcolor");



    //--------------------------------------------------------> constructor defining.

    public RegisterPage(WebDriver obj)
    {
        this.obj= obj;
    }

    //-------------------------------------------------------> action methods.


    public void inputFirstname(String firstname)
    {
        obj.findElement(firstnameFeild).sendKeys(firstname);
    }


    public void inputLastname(String lastname)
    {
        obj.findElement(lastNameField).sendKeys(lastname);
    }


    public void inputEmail(String emailValue)
    {
        obj.findElement(email).sendKeys(emailValue);
    }


    public void inputPhoneNo(String pno)
    {
        obj.findElement(phoneNo).sendKeys(pno);
    }


    public void selectDoctor()
    {
       obj.findElement(dropDown).click();
       obj.findElement(occupationDoctor).click();
    }

    public void selectStudent()
    {
        obj.findElement(dropDown).click();
        obj.findElement(occupationStudent).click();
    }

    public void selectEngineer()
    {
        obj.findElement(dropDown).click();;
        obj.findElement(occupationEngineer).click();
    }

    public void selectScientist()
    {
        obj.findElement(dropDown).click();
        obj.findElement(occupationScientist).click();
    }

    public void selectGenderMale()
    {
        obj.findElement(genderMale).click();
    }

    public void selectGenderFemale()
    {
        obj.findElement(genderFemale).click();
    }

    public void inputPassword(String pass)
    {
        obj.findElement(passwordField).sendKeys(pass);
    }

    public void inputConfirmPassword(String pass)
    {
        obj.findElement(confirmPasswordField).sendKeys(pass);
    }

    public void clickCheckBox()
    {
        obj.findElement(checkBoxButton).click();
    }

    public void pressLoginButton()
    {
        obj.findElement(loginButton).click();
    }


    public String getSuccessMessage() {
        return obj.findElement(successMessage).getText();
    }

}
